Method: projects.locations.collections.engines.assistants.deleteCachedContent

刪除由 assistants.createCachedContent 建立的脈絡快取 (在存留時間前釋出儲存空間)。僅限 Gemini Enterprise 客戶 (ASSISTANT_USER 可見度)。

HTTP 要求


POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:deleteCachedContent

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,Assistant 的資源名稱,用於提供要求。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "model": string,
  "cachedContent": string
}
欄位
model

string

這是必要旗標,快取所屬的不透明模型 ID;必須與 assistants.createCachedContent 要求相符,Proxy 才能解析後端。

cachedContent

string

這是必要旗標,由 assistants.createCachedContent 傳回的 name 資源名稱區段,用於識別要刪除的快取。cachedContents/{id}

回應主體

如果成功,回應主體會是空白的 JSON 物件。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。

IAM 權限

需要 name 資源的下列 IAM 權限:

  • discoveryengine.assistants.assist

詳情請參閱 IAM 說明文件。